﻿@using AdminCaja.ViewModel
@model EstadosFinancierosViewModel

@{
    string json = Newtonsoft.Json.JsonConvert.SerializeObject(Model.FinancialStates.GraphData);
}

<section class="page-header-servicios" style="background-image: url('@Model.PageData.HeaderImage')">
    <div class="container-fluid">
        <div class="col-md-12">
            <span class="float-left">Información financiera</span>
            <h1 class="internal-title wow fadeInUp" data-wow-delay=".2s">Estados financieros</h1>
        </div>
    </div>
</section>

<section class="inner-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-3">
                <ul class="nav-internal sticky">
                    <li class="current"><a href="infofin-estados.html">Estados financieros</a></li>
                    <li><a href="/InfoFin/Cifras">Caja en cifras</a></li>
                </ul>
            </div>
            <div class="col-md-9">
                <h2 class="inner-content-title">Estados financieros <small>a Diciembre 2018</small></h2>

                <div class="row m-b-40" data-right-height>
                    <div class="col-md-6  wow fadeInUp animated">
                        <div class="caja-cifras-2 color2-bg" data-right-height-content>
                            <h3>Capital social <small> monto expresado en millones de pesos</small></h3>
                            <h4>$<span class="count">@Model.FinancialStates.SocialCapital.ToString("#.#")</span></h4>

                        </div>
                    </div>

                    <div class="col-md-6  wow fadeInUp animated" data-wow-delay=".2s">
                        <div class="caja-cifras-2 color3-bg" data-right-height-content>
                            <h3>Patrimonio neto <small> monto expresado en millones de pesos</small></h3>
                            <h4>$<span class="count">@Model.FinancialStates.NetWorth.ToString("#.#")</span></h4>

                        </div>
                    </div>
                </div>

                <div class="row m-b-60">
                    <div class="col-md-12 wow fadeInUp" data-wow-delay=".4s">
                        <div class="caja-cifras-chart" data-right-height-content>
                            <div class="pieChart" id="pie0" style="width: 100%; height: 400px"></div>
                        </div>
                    </div>
                </div>

                <div class="news-filters clearfix">
                    <div class="wrapper">
                        <ul>
                            <li class="myb">
                                <div class="select-style">
                                    <div class="dropdown show blue-select ">
                                        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Memoria y balance<i class="icon-chevron-down myb-ico"></i>
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                            <a class="dropdown-item" href="pdf/FACTURACION Y CUSTODIA.pdf" target="_blank">Memoria y balance - Diciembre 2014</a>
                                            <a class="dropdown-item" href="pdf/FACTURACION Y CUSTODIA.pdf" target="_blank">Memoria y balance - Diciembre 2013</a>
                                            <a class="dropdown-item" href="pdf/FACTURACION Y CUSTODIA.pdf" target="_blank">Memoria y balance - Diciembre 2012</a>
                                            <a class="dropdown-item" href="pdf/FACTURACION Y CUSTODIA.pdf" target="_blank">Memoria y balance - Diciembre 2011</a>

                                        </div>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>

                <div class="row m-t-40">
                    <div class="col-md-12">
                        <ul class="descarga-documentos">
                            @foreach (var item in Model.PageData.Balances)
                            {
                                <li>
                                    <a href="@item.Path" class="has-tooltip" title="" data-original-title="Descargar documento"><img src="/content/site/img/file-small.svg" alt="">Memoria y balance - Diciembre @item.Year</a>
                                </li>
                            }
                        </ul>
                    </div>
                </div>

                <h2 class="inner-content-title">Facturación y custodia</h2>

                <div class="row">
                    <div class="col-md-12">
                        <ul class="descarga-documentos">
                            <li class="d-docs-100"><a href="pdf/FACTURACION Y CUSTODIA.pdf" class="has-tooltip" title="" data-original-title="Descargar documento"><img src="/content/site/img/file-small.svg" alt="">Archivo Facturación y custodia</a></li>
                        </ul>
                    </div>
                </div>



            </div>
        </div>
    </div>
</section>
<section class="links">
    <div class="container-fluid">
        <div class="col-md-12">
            <ul class="links-familia">
                <li><a href="#"><img src="/content/site/img/logo-byma.png" alt="BYMA"></a></li>
                <li><a href="#"><img src="/content/site/img/logo-iamc.png" alt="IAMC"></a></li>
                <!-- <li><a href="#"><img src="/content/site/img/logo-banco-byma.png" alt="Banco BYMA"></a></li>
                <li><a href="#"><img src="/content/site/img/logo-tecval.png" alt="TECVAL"></a></li> -->
            </ul>
        </div>
    </div>
</section>

@section scripts{
    <script>
        $(document).ready(chart());

        function chart() {
            AmCharts.makeChart("pie0",
                {
                    "type": "pie",
                    "balloonText": "[[title]]<br><span style='font-size:14px'><b>([[percents]]%)</b></span>",
                    "innerRadius": "70%",
                    "baseColor": "",
                    "thousandsSeparator": ".",
                    "decimalSeparator": ",",
                    "colors": [

                        "#1183d3",
                        "#16a8ed",
                        "#1bb4b5",
                        "#0fbc2e",
                        "#8dd537",
                        "#04D215",
                        "#0D8ECF",
                        "#0D52D1",
                        "#2A0CD0",
                        "#8A0CCF",
                        "#CD0D74",
                        "#754DEB",
                        "#DDDDDD",
                        "#999999",
                        "#333333",
                        "#000000",
                        "#57032A",
                        "#CA9726",
                        "#990000",
                        "#4B0C25"
                    ],
                    "labelsEnabled": false,
                    "startDuration": 1,
                    "startEffect": "easeOutSine",
                    "titleField": "Name",
                    "valueField": "Value",
                    "fontFamily": "Montserrat",
                    "allLabels": [],
                    "balloon": {},
                    "legend": {
                        "enabled": true,
                        "align": "center",
                        "autoMargins": false,
                        "marginLeft": 2,
                        "marginRight": 0,
                        "markerLabelGap": 10,
                        "markerType": "circle",
                        "rollOverGraphAlpha": 0,
                        "valueAlign": "left"
                    },
                    "titles": [],
                    "dataProvider": @Html.Raw(json)
		    }
            );
        }
    </script>
}